LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-18-2003, 09:49 AM   #1
shizzo
LQ Newbie
 
Registered: Jul 2003
Location: Croatia
Distribution: SuSe 8.0
Posts: 14

Rep: Reputation: 0
Question Kernel upgradeing in SuSe 8.0...HELP MEEE


When i tried to upgrade to kernel 2.4.21 (now i'm using 2.4.18) i did all that is writen in all kind of "kernel compiling docs" starting from:
unpacking it in /usr/src;
linking new dir to linux;
make clean,
make xconfig (then configurating it the best i knew),
make dev (althou i did not use modules),
make bzImage,
editing lilo.conf so that on first place loads a new vmlinuz
restarting lilo
and finaly restarting my system....when it was booting it goes to some specific line where it says :
Kmod:failed to exec /sbin/modprobe -s -k nls_iso8859-1, errno =2
Kernel panic:VFS:Unable to mount root fs on 03:09
.........then after a few sec's........
spurious 8259A interrupt:IRQ7

i tried all i knew and all i get was a black screen (which is worse that problem before)...........please help meeeee

i am using suse 8.0

Last edited by shizzo; 07-18-2003 at 11:35 AM.
 
Old 07-18-2003, 12:20 PM   #2
BigBadPenguin
Member
 
Registered: Jun 2003
Location: Warwick (.ac.uk)
Distribution: Arch, Slackware 9.0, (knoppix standing by)
Posts: 256

Rep: Reputation: 30
I think without a "make install" the image is just made in /usr/src/linux. You need to mv it to /boot. That should sort you out.
 
Old 07-18-2003, 12:29 PM   #3
shizzo
LQ Newbie
 
Registered: Jul 2003
Location: Croatia
Distribution: SuSe 8.0
Posts: 14

Original Poster
Rep: Reputation: 0
corect me if i'm wrong but i allready put the bzimage in the /boot dir renamed it vmlinuz-2.4.21 and put the path in lilo.conf

thnx
 
Old 07-18-2003, 03:58 PM   #4
grym
Member
 
Registered: Jun 2003
Location: Texas
Distribution: Gentoo/Slackware/Debian/Mandrake
Posts: 285

Rep: Reputation: 30
Good that you copied it there but understandable that he didn't know it since your first message didn't let us know that. you say you didn't make modules and one of the error messages is from kmod (the kernel module loader) and it is looking for a module for native language support, specifically "nls_iso8859-1". i would look there maybe.
Also did you compile in support for you file system? was your old kernel using init.rd? check and make sure lilo isn't trying to use init.rd if it doesn't exist for this kernel. i would check these things for a start.

Good luck
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
upgradeing from php4 to php5 mgarcia001 Debian 0 09-30-2004 07:31 PM
Upgradeing methods & lifetime of slackware ? ShakeyRo Slackware 5 07-15-2004 01:07 PM
Upgradeing from RH7.3 to RH9.0 or Fedora1.0 or Entreprize Linux eddydw Linux - Distributions 2 06-27-2004 01:02 PM
SUSE Security Announcement - Linux Kernel (SuSE-SA:2004:009) ima Linux - Security 0 04-19-2004 08:35 AM
upgradeing gnome 2.4->2.6 in deb test/unstable mrgreenfur Debian 2 04-16-2004 07:15 PM


All times are GMT -5. The time now is 08:36 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration